<ng-container *transloco="let t">
  <mat-sidenav-container fullscreen>
    <mat-sidenav
      class="sidenav"
      (closed)="sidenav.close()"
      [mode]="sidenavMode()"
      [opened]="sidenav.opened()"
      position="start"
    >
      <div class="header">
        <h1 class="header__title">{{ t('LAYOUT.SIDENAV.TITLE') }}</h1>
        <button (click)="sidenav.close()" mat-icon-button>
          <mat-icon>close</mat-icon>
        </button>
      </div>

      <mat-nav-list>
        @for (link of links; track link.path) {
        <mat-list-item
          [routerLink]="link.path"
          routerLinkActive="nav-link--active"
          [routerLinkActiveOptions]="{ exact: link.exactMatch ?? false }"
        >
          <mat-icon matListItemIcon>{{ link.icon }}</mat-icon>
          <span matLine>{{
            t('LAYOUT.SIDENAV.LINKS.' + link.translateKey)
          }}</span>
        </mat-list-item>
        }
      </mat-nav-list>
    </mat-sidenav>

    <mat-sidenav-content>
      <ng-content></ng-content>
    </mat-sidenav-content>
  </mat-sidenav-container>
</ng-container>
